# Uses of Interface
javax.imageio.stream.ImageInputStream

Packages that use ImageInputStream
Package
Description
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.spi
A package of the Java Image I/O API containing the plug-in interfaces for readers, writers, transcoders, and streams, and a runtime registry.
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.

## Uses of ImageInputStream in javax.imageio

Methods in javax.imageio that return ImageInputStream
Modifier and Type
Method
Description
`static ImageInputStream`
ImageIO.`createImageInputStream(Object input)`
Returns an `ImageInputStream` that will take its input from the given `Object`.
Methods in javax.imageio with parameters of type ImageInputStream
Modifier and Type
Method
Description
`static BufferedImage`
ImageIO.`read(ImageInputStream stream)`
Returns a `BufferedImage` as the result of decoding a supplied `ImageInputStream` with an `ImageReader` chosen automatically from among those currently registered.

## Uses of ImageInputStream in javax.imageio.spi

Methods in javax.imageio.spi that return ImageInputStream
Modifier and Type
Method
Description
`ImageInputStream`
ImageInputStreamSpi.`createInputStreamInstance(Object input)`
Returns an instance of the `ImageInputStream` implementation associated with this service provider.
`abstract ImageInputStream`
ImageInputStreamSpi.`createInputStreamInstance(Object input, boolean useCache, File cacheDir)`
Returns an instance of the `ImageInputStream` implementation associated with this service provider.

## Uses of ImageInputStream in javax.imageio.stream

Subinterfaces of ImageInputStream in javax.imageio.stream
Modifier and Type
Interface
Description
`interface`
`ImageOutputStream`
A seekable output stream interface for use by `ImageWriter`s.
Classes in javax.imageio.stream that implement ImageInputStream
Modifier and Type
Class
Description
`class`
`FileCacheImageInputStream`
An implementation of `ImageInputStream` that gets its input from a regular `InputStream`.
`class`
`FileCacheImageOutputStream`
An implementation of `ImageOutputStream` that writes its output to a regular `OutputStream`.
`class`
`FileImageInputStream`
An implementation of `ImageInputStream` that gets its input from a `File` or `RandomAccessFile`.
`class`
`FileImageOutputStream`
An implementation of `ImageOutputStream` that writes its output directly to a `File` or `RandomAccessFile`.
`class`
`ImageInputStreamImpl`
An abstract class implementing the `ImageInputStream` interface.
`class`
`ImageOutputStreamImpl`
An abstract class implementing the `ImageOutputStream` interface.
`class`
`MemoryCacheImageInputStream`
An implementation of `ImageInputStream` that gets its input from a regular `InputStream`.
`class`
`MemoryCacheImageOutputStream`
An implementation of `ImageOutputStream` that writes its output to a regular `OutputStream`.